Alat: read_presentation
Membaca representasi JSON presentasi Google Slide.
Sesuai dengan presentations.get di REST API.
Contoh berikut menunjukkan cara menggunakan curl untuk memanggil alat MCP read_presentation.
| Permintaan Curl |
|---|
curl --location 'https://slidesmcp.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "read_presentation", "arguments": { // provide these details according to the tool MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Skema Input
Permintaan untuk membaca presentasi.
ReadPresentationRequest
| Representasi JSON |
|---|
{ "presentationId": string } |
| Kolom | |
|---|---|
presentationId |
Wajib. ID presentasi untuk membaca konten. |
Skema Output
Respons yang berisi representasi JSON presentasi.
ReadPresentationResponse
| Representasi JSON |
|---|
{ "content": string } |
| Kolom | |
|---|---|
content |
Representasi JSON presentasi Google Slide. |
Anotasi Alat
Petunjuk Destruktif: ❌ | Petunjuk Idempoten: ✅ | Petunjuk Hanya Baca: ✅ | Petunjuk Dunia Terbuka: ✅